import { tagName, layout } from '@ember-decorators/component';
import Component from '@ember/component';
import { action } from '@ember/object';

import template from './template';

/**
  Renders a `<thead>` element and yields the column component.
  ```hbs
  <table.header as |header|>
    <header.column @prop="firstName">
      First name
    </header.column>
    <header.column @prop="lastName">
      Last name
    </header.column>
    <header.column @prop="points">
      Points
    </header.column>
  </table.header>
  ```
  @yield {object} header
  @yield {Component} header.column       the column component
*/
@tagName('')
@layout(template)
class Header extends Component {
  theme;

  sortable;

  sortSequence;

  onColumnClick;

  parent;

  columns;

  trClass;

  @action
  onColumnClickHeader(column, e) {
    if (this.get('onColumnClick') && column.get('sortable')) {
      this.get('onColumnClick')(column, e);
    }
  }
}

export default Header;
